[Date Prev][Date Next] [Chronological] [Thread] [Top]


I use now openldap-2.3.19.
Why do I have to "#define LDAP_DEPRECATED 1" in my program (writen for openldap 2.0.27) to use ldap_init, ldap_add, ldap_add_s, ldap_bind etc....??
(I see that in ldap.h)
The only thing I see in the man ldap (3) is that the library in ldap version 2 by default, and ldap_init, ... has diseapered from the list of functions.

where can I find a documentation on the new API and how to replace the deprecated functions?
thank you for explanations